Bug 137695 - collection scan complains about broken libtag
Summary: collection scan complains about broken libtag
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Collections/Local (show other bugs)
Version: 1.4.3
Platform: unspecified Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-11-21 20:38 UTC by karl sebastian liebich
Modified: 2007-01-29 17:24 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description karl sebastian liebich 2006-11-21 20:38:42 UTC
Version:           1.4.3 (using KDE 3.5.5, Kubuntu (edgy) 4:3.5.5-0ubuntu3)
Compiler:          Target: i486-linux-gnu
OS:                Linux (i686) release 2.6.17-10-386

I get "Collection scan was aborted, since too many problems..."
I reinstalled all LibTags available on my system. The error only occures at edgy-32bit: dapper32 and edgy64 do not produce this error. 
The files mentioned producing those error are .rm or .aup/.au
Comment 1 Martin Aumueller 2006-12-28 23:10:55 UTC
Could you please make a .rm and a .aup/.au file (which both cause the error) available to us so that we can reproduce the problem?
Comment 2 karl sebastian liebich 2006-12-29 10:28:08 UTC
the files causing the error are copied into http://home.arcor.de/k.s.l/amarok/
Comment 3 karl sebastian liebich 2006-12-29 10:32:27 UTC
The files causing the error are copied into http://home.arcor.de/k.s.l/amarok/

The attempt to play blame_may2002.rm with amarok lead to crash.

On Thursday 28 December 2006 23:10, Martin Aumueller wrote:
[bugs.kde.org quoted mail]
Comment 4 Martin Aumueller 2007-01-28 03:21:55 UTC
SVN commit 627768 by aumuell:

initialize in order to avoid crashes with some .rm files
BUG: 137695
BUG: 136430


 M  +1 -0      ChangeLog  
 M  +32 -4     src/metadata/rmff/rmff.cpp  


--- trunk/extragear/multimedia/amarok/ChangeLog #627767:627768
@@ -101,6 +101,7 @@
     * Amarok now saves playlists with relative paths by default.
 
   BUGFIXES:
+    * Some .rm files would make Amarok crash. (BR 137695)
     * Remember 'User Cover Art for Folder Icons' when organizing files.
       (BR 138582)
     * "Listening since..." has been changed to the more clear "First
--- trunk/extragear/multimedia/amarok/src/metadata/rmff/rmff.cpp #627767:627768
@@ -122,8 +122,22 @@
 
 
 RealMediaFF::RealMediaFF(const char *file, bool readProperties, AudioProperties::ReadStyle /*propertiesStyle*/)
-   : m_filename(0), m_head(0), m_tail(0), m_err(0), media_hdrs(0), m_id3v1tag(0), 
-     m_flipYearInMetadataSection(0), m_readProperties(readProperties)
+: m_filename(0)
+, m_head(0)
+, m_tail(0)
+, m_err(0)
+, m_hdr(0)
+, m_props(0)
+, media_hdrs(0)
+, m_contenthdr(0)
+, m_md(0)
+, m_title(0)
+, m_author(0)
+, m_copyright(0)
+, m_comment(0)
+, m_id3v1tag(0)
+, m_flipYearInMetadataSection(0)
+, m_readProperties(readProperties)
 {
    m_filename = strdup(file);
 
@@ -150,8 +164,22 @@
 
 
 RealMediaFF::RealMediaFF(RealMediaFF &src)
-   : m_filename(0), m_head(0), m_tail(0), m_err(0), media_hdrs(0), m_id3v1tag(0), 
-     m_flipYearInMetadataSection(0), m_readProperties(src.m_readProperties)
+: m_filename(0)
+, m_head(0)
+, m_tail(0)
+, m_err(0)
+, m_hdr(0)
+, m_props(0)
+, media_hdrs(0)
+, m_contenthdr(0)
+, m_md(0)
+, m_title(0)
+, m_author(0)
+, m_copyright(0)
+, m_comment(0)
+, m_id3v1tag(0)
+, m_flipYearInMetadataSection(0)
+, m_readProperties(src.m_readProperties)
 {
    m_filename=strdup(src.m_filename);
 
Comment 5 karl sebastian liebich 2007-01-29 17:11:15 UTC
Hi!

Thanks for your work. Unfortunately the error still occures. Same files. My 
source:

deb http://kubuntu.org/packages/amarok-latest edgy main


Greetings Karl

On Sunday 28 January 2007 03:21, Martin Aumueller wrote:
[bugs.kde.org quoted mail]
Comment 6 Mark Kretschmann 2007-01-29 17:24:27 UTC
That's no longer relevant. We are referring to SVN (1.4.5).